import request from '@/utils/request'

// 查询退款单列表
export function listMallOrderBack(query) {
  return request({
    url: '/mall/mallOrderBack/list',
    method: 'get',
    params: query
  })
}

// 查询退款单详细
export function getMallOrderBack(id) {
  return request({
    url: '/mall/mallOrderBack/' + id,
    method: 'get'
  })
}

// 新增退款单
export function addMallOrderBack(data) {
  return request({
    url: '/mall/mallOrderBack',
    method: 'post',
    data: data
  })
}

// 修改退款单
export function updateMallOrderBack(data) {
  return request({
    url: '/mall/mallOrderBack',
    method: 'put',
    data: data
  })
}

// 删除退款单
export function delMallOrderBack(id) {
  return request({
    url: '/mall/mallOrderBack/' + id,
    method: 'delete'
  })
}

// 导出退款单
export function exportMallOrderBack(query) {
  return request({
    url: '/mall/mallOrderBack/export',
    method: 'get',
    params: query
  })
}